// Copyright (c) 2024 Celestino Amoroso (celestino.amoroso@gmail.com).
// All rights reserved.

// common-params.go
package expr

const (
	ParamArgs      = "args"
	ParamCount     = "count"
	ParamItem      = "item"
	ParamIndex     = "index"
	ParamParts     = "parts"
	ParamSeparator = "separator"
	ParamSource    = "source"
	ParamSuffix    = "suffix"
	ParamPrefix    = "prefix"
	ParamStart     = "start"
	ParamEnd       = "end"
	ParamValue     = "value"
	ParamName      = "name"
	ParamEllipsis  = "..."
	ParamFilepath  = "filepath"
	ParamDirpath   = "dirpath"
	ParamHandle    = "handle"
	ParamResource  = "resource"
	ParamIterator  = "iterator"
)

// to be moved in its own source file
const (
	ConstLastIndex = 0xFFFF_FFFF
)
